
using Newtonsoft.Json;

namespace jdis_import.RESTObjects
{
    [JsonObject(MemberSerialization.OptIn)]
    public class RESTMeta
    {
        #region Fields

        private int _numResults;
        private bool _success = true;
        private string _type;
        private string _errorMessage;

        #endregion

        #region Properties
        [JsonProperty(PropertyName = "numResults")]
        public int numResults
        {
            get { return _numResults; }
            set { _numResults = value; }
        }
        [JsonProperty(PropertyName = "success")]
        public bool success
        {
            get { return _success; }
            set { _success = value; }
        }
        [JsonProperty(PropertyName = "errorMessage")]
        public string errorMessage
        {
            get { return _errorMessage; }
            set { _errorMessage = value; }
        }
        [JsonProperty(PropertyName = "type")]
        public string type
        {
            get { return _type; }
            set { _type = value; }
        }
        #endregion
    }
}